commit: bf45521037d79b9bd003205343a2a1aac0219e56
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 27 05:56:23 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 27 08:30:52 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf455210
app-shells/bash-completion: Bump to 2.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
app-shells/bash-completion/Manifest | 1 +
...ion-9999.ebuild => bash-completion-2.11.ebuild} | 71 +++++++---------------
.../bash-completion/bash-completion-9999.ebuild | 37 +++--------
3 files changed, 30 insertions(+), 79 deletions(-)
diff --git a/app-shells/bash-completion/Manifest
b/app-shells/bash-completion/Manifest
index 3620b452cc2..72d17eff690 100644
--- a/app-shells/bash-completion/Manifest
+++ b/app-shells/bash-completion/Manifest
@@ -1,2 +1,3 @@
DIST bash-completion-2.10.tar.xz 310764 BLAKE2B
b6b96f049b44eb455805916bbbeb0c9578104aa4c8c736801fd27c7268e4de70424eebbb5d1e4d1841273b1c4e169da4f369f2f65276349ead4aa7944aa193b2
SHA512
d434e0e48b25328e8c6b43ed64e58f56459186434754ee972795edd031ce1864038b53926b218fe06e5b3882682db4dec5101b3124362c0137101d3fa6d87cd7
+DIST bash-completion-2.11.tar.xz 311004 BLAKE2B
98e3ab6669bd70b49b238a597f1bc1309dc7ddd51c5b17c5e054f9161115d75d26e85d547471bc087e070d10554448b790a6dfb557abc413b70079ecc94acce3
SHA512
41585f730b5114d397831ba36d10d05643c6a6179e746ddc49aa1cbef61ea5525fd2f09b2e474adee14e647f99df8d5983ee48e29a59d8a30e1daf7fb1837e06
DIST bashcomp-2.0.3.tar.gz 3539 BLAKE2B
75304d144792cc7f6ad5455a05a65c33c646d6f7384d020a06a1fcf012cd51625a3dd0750ad539253453b1eede196c340286a1e81737f0835b5091609ba01295
SHA512
b2bd185ccbd4456939ccc731cc1983fcec2b9564a9920642a753fadd5d897fdb96b925ac1524657629d621d45b37d99076c8ae72511a827e96ff6c388d720008
diff --git a/app-shells/bash-completion/bash-completion-9999.ebuild
b/app-shells/bash-completion/bash-completion-2.11.ebuild
similarity index 64%
copy from app-shells/bash-completion/bash-completion-9999.ebuild
copy to app-shells/bash-completion/bash-completion-2.11.ebuild
index 9a5d22feb86..aedcebe0fe6 100644
--- a/app-shells/bash-completion/bash-completion-9999.ebuild
+++ b/app-shells/bash-completion/bash-completion-2.11.ebuild
@@ -3,16 +3,19 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
-inherit autotools git-r3 python-any-r1
+BASHCOMP_P=bashcomp-2.0.3
+PYTHON_COMPAT=( python3_{6..9} )
+inherit bash-completion-r1 python-any-r1 user-info
DESCRIPTION="Programmable Completion for bash"
HOMEPAGE="https://github.com/scop/bash-completion"
-EGIT_REPO_URI="https://github.com/scop/bash-completion"
+SRC_URI="
+
https://github.com/scop/bash-completion/releases/download/${PV}/${P}.tar.xz
+ eselect? (
https://github.com/mgorny/bashcomp2/releases/download/v${BASHCOMP_P#*-}/${BASHCOMP_P}.tar.gz
)"
LICENSE="GPL-2+"
SLOT="0"
-KEYWORDS=""
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc
~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint
~sparc-solaris ~sparc64-solaris"
IUSE="+eselect test"
RESTRICT="!test? ( test )"
@@ -23,9 +26,6 @@ RDEPEND=">=app-shells/bash-4.3_p30-r1:0
DEPEND="
test? (
${RDEPEND}
- app-misc/dtach
- dev-util/dejagnu
- dev-tcltk/tcllib
$(python_gen_any_dep '
dev-python/pexpect[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
@@ -75,52 +75,21 @@ pkg_setup() {
use test && python-any-r1_pkg_setup
}
-src_unpack() {
- use eselect && git-r3_fetch https://github.com/mgorny/bashcomp2
- git-r3_fetch
-
- use eselect && git-r3_checkout https://github.com/mgorny/bashcomp2 \
- "${WORKDIR}"/bashcomp2
- git-r3_checkout
-}
-
src_prepare() {
- eapply_user
- if use eselect; then
- # generate and apply patch
- emake -C "${WORKDIR}"/bashcomp2
bash-completion-blacklist-support.patch
- eapply
"${WORKDIR}"/bashcomp2/bash-completion-blacklist-support.patch
- fi
+ use eselect &&
+ eapply
"${WORKDIR}/${BASHCOMP_P}/bash-completion-blacklist-support.patch"
- # our setup is close enough to container to cause the same tests
- # to fail
- sed -i -e '/def in_container/a \
- return True' test/t/conftest.py || die
+ # redhat-specific, we strip these completions
+ rm test/t/test_if{down,up}.py || die
+ # not available for icedtea
+ rm test/t/test_javaws.py || die
- eautoreconf
+ eapply_user
}
src_test() {
- # Tests need an interactive shell, #477066
- # idea stolen from:
- #
http://pkgs.fedoraproject.org/cgit/rpms/bash-completion.git/tree/bash-completion.spec
-
- # real-time output of the log ;-)
- touch "${T}/dtach-test.log" || die
- tail -f "${T}/dtach-test.log" &
- local tail_pid=${!}
-
- # override the default expect timeout and buffer size to avoid tests
- # failing randomly due to cold cache, busy system or just more output
- # than upstream anticipated (they run tests on pristine docker
- # installs of binary distros)
- nonfatal dtach -N "${T}/dtach.sock" \
- bash -c 'emake check RUNTESTFLAGS="OPT_TIMEOUT=300
OPT_BUFFER_SIZE=1000000" PYTESTFLAGS="-vv" \
- &> "${T}"/dtach-test.log; echo ${?} >
"${T}"/dtach-test.out'
-
- kill "${tail_pid}"
- [[ -f ${T}/dtach-test.out ]] || die "Unable to run tests"
- [[ $(<"${T}"/dtach-test.out) == 0 ]] || die "Tests failed"
+ # portage's HOME override breaks tests
+ emake check HOME="$(egethome "${UID}")" PYTESTFLAGS="-vv"
}
src_install() {
@@ -134,9 +103,11 @@ src_install() {
dodoc AUTHORS CHANGES CONTRIBUTING.md README.md
# install the eselect module
- use eselect &&
- emake -C "${WORKDIR}"/bashcomp2 DESTDIR="${D}" \
- PREFIX="${EPREFIX}/usr" install
+ if use eselect; then
+ insinto /usr/share/eselect/modules
+ doins "${WORKDIR}/${BASHCOMP_P}/bashcomp.eselect"
+ doman "${WORKDIR}/${BASHCOMP_P}/bashcomp.eselect.5"
+ fi
}
pkg_postinst() {
diff --git a/app-shells/bash-completion/bash-completion-9999.ebuild
b/app-shells/bash-completion/bash-completion-9999.ebuild
index 9a5d22feb86..a424161682c 100644
--- a/app-shells/bash-completion/bash-completion-9999.ebuild
+++ b/app-shells/bash-completion/bash-completion-9999.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_COMPAT=( python3_{6..9} )
inherit autotools git-r3 python-any-r1
DESCRIPTION="Programmable Completion for bash"
@@ -23,9 +23,6 @@ RDEPEND=">=app-shells/bash-4.3_p30-r1:0
DEPEND="
test? (
${RDEPEND}
- app-misc/dtach
- dev-util/dejagnu
- dev-tcltk/tcllib
$(python_gen_any_dep '
dev-python/pexpect[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
@@ -85,42 +82,24 @@ src_unpack() {
}
src_prepare() {
- eapply_user
if use eselect; then
# generate and apply patch
emake -C "${WORKDIR}"/bashcomp2
bash-completion-blacklist-support.patch
eapply
"${WORKDIR}"/bashcomp2/bash-completion-blacklist-support.patch
fi
- # our setup is close enough to container to cause the same tests
- # to fail
- sed -i -e '/def in_container/a \
- return True' test/t/conftest.py || die
+ # redhat-specific, we strip these completions
+ rm test/t/test_if{down,up}.py || die
+ # not available for icedtea
+ rm test/t/test_javaws.py || die
+ eapply_user
eautoreconf
}
src_test() {
- # Tests need an interactive shell, #477066
- # idea stolen from:
- #
http://pkgs.fedoraproject.org/cgit/rpms/bash-completion.git/tree/bash-completion.spec
-
- # real-time output of the log ;-)
- touch "${T}/dtach-test.log" || die
- tail -f "${T}/dtach-test.log" &
- local tail_pid=${!}
-
- # override the default expect timeout and buffer size to avoid tests
- # failing randomly due to cold cache, busy system or just more output
- # than upstream anticipated (they run tests on pristine docker
- # installs of binary distros)
- nonfatal dtach -N "${T}/dtach.sock" \
- bash -c 'emake check RUNTESTFLAGS="OPT_TIMEOUT=300
OPT_BUFFER_SIZE=1000000" PYTESTFLAGS="-vv" \
- &> "${T}"/dtach-test.log; echo ${?} >
"${T}"/dtach-test.out'
-
- kill "${tail_pid}"
- [[ -f ${T}/dtach-test.out ]] || die "Unable to run tests"
- [[ $(<"${T}"/dtach-test.out) == 0 ]] || die "Tests failed"
+ # portage's HOME override breaks tests
+ emake check HOME="$(egethome "${UID}")" PYTESTFLAGS="-vv"
}
src_install() {